petsc-3.6.2 2015-10-02
Report Typos and Errors

# PCFieldSplitSetDiagUseAmat

set flag indicating whether to extract diagonal blocks from Amat (rather than Pmat)

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCFieldSplitSetDiagUseAmat(PC pc,PetscBool flg)

Logically Collective on PC

### Input Parameters

| pc | - the preconditioner object
| flg | - boolean flag indicating whether or not to use Amat to extract the diagonal blocks from

### Options Database

-pc_fieldsplit_diag_use_amat -

### See Also

PCFieldSplitGetDiagUseAmat(), PCFieldSplitSetOffDiagUseAmat(), PCFIELDSPLIT

Level:intermediate
Location:src/ksp/pc/impls/fieldsplit/fieldsplit.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages